package com.fs.store.service;

import com.fs.store.domain.FsStoreActivity;

import java.util.List;

/**
 * 活动Service接口
 *
 * @author fs
 * @date 2022-11-18
 */
public interface IFsStoreActivityService
{
    /**
     * 查询活动
     *
     * @param activityId 活动ID
     * @return 活动
     */
    public FsStoreActivity selectFsStoreActivityById(Long activityId);

    /**
     * 查询活动列表
     *
     * @param fsStoreActivity 活动
     * @return 活动集合
     */
    public List<FsStoreActivity> selectFsStoreActivityList(FsStoreActivity fsStoreActivity);

    /**
     * 新增活动
     *
     * @param fsStoreActivity 活动
     * @return 结果
     */
    public int insertFsStoreActivity(FsStoreActivity fsStoreActivity);

    /**
     * 修改活动
     *
     * @param fsStoreActivity 活动
     * @return 结果
     */
    public int updateFsStoreActivity(FsStoreActivity fsStoreActivity);

    /**
     * 批量删除活动
     *
     * @param activityIds 需要删除的活动ID
     * @return 结果
     */
    public int deleteFsStoreActivityByIds(Long[] activityIds);

    /**
     * 删除活动信息
     *
     * @param activityId 活动ID
     * @return 结果
     */
    public int deleteFsStoreActivityById(Long activityId);

    FsStoreActivity selectFsStoreActivityByTop();

    int addShare(Long activityId);
}
